[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: (ia64/arm/m68k/unstable): FTBFS: segv in miniperl

On 2004-06-21 Matthias Klose <doko@cs.tu-berlin.de> wrote:
> Maybe it's an alternative to build miniperl with gcc-2.96 on ia64 and
> gcc-2.95 on arm and m68k?

Building with gcc-2.95 requires[...] adding '-Dcc=gcc-2.95 -Dcpp=cpp-2.95'
to debian/config.debian and perl saves this Config.pm:

ametzler@merkel:~/perl-base_5.8.4-2_m68k$ grep -Elr \
'gcc-2.95|cpp-2.95' .

Therefore building perlmodule packages will probably fail if gcc-2.95
is not installed. (Afaik Adam Conrad has worked around this by install
gcc-2.95 on the m68k buildds.)
                cu anderas
[1] The only alternative I can see is manually changing the
/usr/bin/(g)cc symlink.
              cu andreas
"See, I told you they'd listen to Reason," [SPOILER] Svfurlr fnlf,
fuhggvat qbja gur juveyvat tha.
Neal Stephenson in "Snow Crash"

Reply to: